# zPocketScript Class Reference: Array

## Prototype: Object

The zPocketScript Array object is a complete implementation of the Array object found in JavaScript 1.4, so for a detailled description of what these functions do, refer to the JavaScript documentation. In brief though...

Array's are created either implicitly by the array short form `a=[elem1,elem1,elem3]`, or explicitly using `new Array()`.

## Methods

- concat
- join
- pop
- push
- reverse
- shift
- sort
- splice
- unshift

## Properties

- length
- input
- index